#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xAE,0x09,0x84,0xAE,0x71,0x85,0xA6,0x22,0x36,0x99,0x45,0xE5,
		0x7D,0x72,0xED,0xBE,0xEA,0x95,0xFA,0xCF,0x36,0x5F,0xFD,0xB3,
		0x62,0x1C,0xAF,0x80,0x38,0x46,0x02,0xF1,0x9E,0xC9,0x6F,0x89,
		0x95,0xCA,0x37,0x56,0xDC,0x4E,0x84,0xCF,0xE3,0x70,0x8D,0x75,
		0xB6,0xEE,0x45,0xA8,0x74,0x8D,0x51,0xAB,0x97,0xEE,0xFE,0x3B,
		0x2D,0x96,0x99,0x3B,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
